## tracker 3.4.0

=== debian/changelog ===
tracker (3.4.0-1+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 15 Nov 2022 16:59:43 +0000

tracker (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:29:02 -0400

tracker (3.4.0~rc-2) unstable; urgency=medium

  * debian/rules: Don't ignore build test failures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 12:23:32 -0400

tracker (3.4.0~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.53

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 08:45:46 -0400

tracker (3.4.0~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 04:48:59 -0400

tracker (3.4.0~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtrakcer-sparql-3.0-0.install: Update
  * debian/libtracker-sparql-3.0-0.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 10:27:03 -0400

tracker (3.3.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build with libsoup3
  * debian/control.in: Build-Depend on libxml2-dev

  [ Paul Gevers ]
  * tests: conditionally skip some tests under autopkgtest as they fail
    (Closes: #903374)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Aug 2022 12:03:40 -0400

tracker (3.3.2-1) unstable; urgency=high

  * New upstream release
  * Drop patch: applied in new release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 08:41:38 -0400

tracker (3.3.1-2) experimental; urgency=medium

  * Cherry-pick patch to fix starred feature in Nautilus

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Jun 2022 13:26:18 -0400

tracker (3.3.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 01 Jun 2022 15:01:44 -0300
