## tracker 3.4.2

=== debian/changelog ===
tracker (3.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 16:51:16 -0500
