=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,4 @@
 	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-3.0/ -- -c4
 
 override_dh_auto_test:
-	#dbus-run-session -- dh_auto_test --no-parallel
+	dbus-run-session -- dh_auto_test --no-parallel
