=== debian/changelog ===
tracker (3.7.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:29:02 +0000

tracker (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:43:13 -0400

tracker (3.7.0-1) unstable; urgency=medium

  * New upstream release
  * Update patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 09:31:32 -0400

tracker (3.7~rc-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Disable build tests when nocheck is set (Closes: #1061464)

  [ Jeremy Bícha ]
  * Release to unstable (Closes: #1065464)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 08:01:20 -0500

tracker (3.7~rc-2) experimental; urgency=medium

  * debian/tests/unit-tests:
    - the autopkgtest are using the upstream buildtests which aren't
      installed tests. The tests setup isn't rebuilding the libraries but
      then LD_LIBRARY_PATH is forced by meson on a local path and not
      considering the system location, which means it doesn't fail the
      needed libraries. Workaround the problem by copying the system
      library to the local path in the unit-tests script. It's not ideal
      but the alternative of rebuilding the library would mean we wouldn't
      be testing the right binaries.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Mar 2024 10:29:53 +0100

tracker (3.7~rc-1) experimental; urgency=medium

  * New upstream release
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 18:45:58 -0500

tracker (3.7~beta-3) experimental; urgency=medium

  * Add debian/salsa-ci.yml
  * Drop workaround patches for 32-bit build test issues and cherry-pick
    upstream's new fixes instead

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 10:56:27 -0500

tracker (3.7~beta-2) experimental; urgency=medium

  * Revert a commit & 2 fixups that broke build tests on 32-bit
    (Closes: #1035903)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 21:50:34 -0500

tracker (3.7~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols
  * debian/tracker.install: Install additional binaries
  * debian/tracker.install: /usr/libexec/tracker-3 is no longer provided
  * Add/restore patch to use bash because of bashisms in scripts

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:30:58 -0500

tracker (3.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 15:38:11 -0400

tracker (3.6~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Sep 2023 11:08:03 -0400

tracker (3.6~beta-1) experimental; urgency=medium

  * New upstream release
  * Drop /usr/bin/env patch applied in new release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 20:58:41 -0400

tracker (3.5.3-1) experimental; urgency=medium

  * New upstream release
    - Fix datetime issues for 32-bit architectures (Closes: #1035903)
  * Add patch to use full /usr/bin/env path instead of /bin/env

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jun 2023 09:59:18 -0400

tracker (3.5.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on graphviz for docs build
  * debian/copyright: Add generated docs to Files-Excluded

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 May 2023 16:32:04 -0400

tracker (3.5.1-1) experimental; urgency=medium

  * New upstream release
  * Drop patch applied in new release
  * Add debian/upstream/metadata
  * Update renamed lintian tag names in lintian overrides
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 May 2023 16:22:40 -0400

tracker (3.5.0-1) experimental; urgency=medium

  * New upstream release
  * Cherry-pick build test fix
  * Build-Depend on gi-docgen
  * debian/libtracker-sparql-3.0-0.install: Install newly split out ICU
    parser plugin
  * deibn/libtracker-sparql-3.0-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Mar 2023 17:11:34 -0400

tracker (3.5.0~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols
  * Refresh patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 10:18:00 -0500

tracker (3.4.2-3) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Increase dh_auto_test timeout (Closes: #1026236)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 12:09:03 -0400

tracker (3.4.2-2) unstable; urgency=medium

  * Cherry-pick proposed patch to fix tests with sqlite 3.42
  * debian/gbp.conf: Branch for trixie

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 09:47:27 -0400
