=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: tracker
 Section: utils
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                meson (>= 0.53),
-               pkg-config,
+               pkgconf,
                asciidoc-base,
+               gi-docgen,
+               graphviz,
                libdbus-1-dev (>= 1.3.1),
                libglib2.0-dev (>= 2.46.0),
                libsqlite3-dev (>= 3.8.3),
@@ -25,7 +24,6 @@
                bash-completion,
                libglib2.0-doc,
                libgirepository1.0-dev (>= 0.10.7-1~),
-               gobject-introspection (>= 0.10),
                libicu-dev,
                libjson-glib-dev (>= 1.4),
                libsoup-3.0-dev,
@@ -33,11 +31,11 @@
                python3-gi <!nocheck>,
                gir1.2-glib-2.0 <!nocheck>,
                python3-tap <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker.git
-Homepage: https://wiki.gnome.org/Projects/Tracker
+Homepage: https://tracker.gnome.org/
 
 Package: tracker
 Architecture: any
