=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,15 @@
 		-Dbash_completion_dir=/usr/share/bash-completion/completions \
 		-Dsoup=soup3 \
 		-Dsystemd_user_services=true \
-		-Dsystemd_user_services_dir=/usr/lib/systemd/user
+		-Dsystemd_user_services_dir=/usr/lib/systemd/user \
+		-Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),false,true)
+
 
 # Enforce tight shlibs dependencies
 override_dh_makeshlibs:
 	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-3.0/ -- -c4
 
 override_dh_auto_test:
-	dbus-run-session -- dh_auto_test --no-parallel
+	dbus-run-session -- dh_auto_test --no-parallel -- --timeout-multiplier 3
+
+override_dh_gnome_clean:
