## tracker 3.7.3

=== debian/changelog ===
tracker (3.7.3-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Fix autopkgtests and cherrypick some upstream build fixes
    (Closes: #1068468)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Jul 2024 23:08:29 +0200

tracker (3.7.3-1) unstable; urgency=medium

  * New upstream release
    - Update for compatibility with SQLite 3.45.3 (Closes: #1069416)
  * Increase build test timeout multiplier to try to help riscv64 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 13:31:35 -0400

tracker (3.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 17:30:57 -0400
