=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,6 @@
 	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-3.0/ -- -c4
 
 override_dh_auto_test:
-	dbus-run-session -- dh_auto_test --no-parallel -- --timeout-multiplier 3
+	dbus-run-session -- dh_auto_test --no-parallel -- --timeout-multiplier 5
 
 override_dh_gnome_clean:
