=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, locales
